import torch
import numpy as np
from onnx import load
from onnx2pytorch import ConvertModel

if __name__ == "__main__":
    while True:
        print("Loop Start")
        model_path = "model.onnx"
        device = 'cuda'
        model_run = ConvertModel(load(model_path))
        model_run.to(device).eval()

        #This code causes the crash. Comment out to remove the crash
        random = np.random.rand(1, 4, 3072, 256)
        tensor = torch.tensor(random, dtype=torch.float32, device=device)

        #This code doesn't cause a crash
        tensor = torch.randn(1, 4, 3072, 256, dtype=torch.float32, device=device)

        print("The crash happens here:")
        result = model_run(tensor).numpy(force=True)
        print(result.shape)